require "import"
import "java.text.SimpleDateFormat"
import "java.util.Date"
import "android.content.Context"
import "android.content.Intent"
import "android.content.IntentFilter"
import "android.os.BatteryManager"

-- Get the current date and time
local dateFormat = SimpleDateFormat("MMMM dd, yyyy")
local timeFormat = SimpleDateFormat("hh:mm a")
local currentTime = Date()
local formattedDate = dateFormat.format(currentTime)
local formattedTime = timeFormat.format(currentTime)

-- Get the battery level
local batteryIntent = this.registerReceiver(nil, IntentFilter(Intent.ACTION_BATTERY_CHANGED))
local level = batteryIntent.getIntExtra(BatteryManager.EXTRA_LEVEL, -1)
local scale = batteryIntent.getIntExtra(BatteryManager.EXTRA_SCALE, -1)
local batteryPercent = (level / scale) * 100

-- Create the message
local message = "The date is " .. formattedDate .. " and the time is " .. formattedTime .. ". The battery level is " .. string.format("%.0f", batteryPercent) .. "%."

-- Speak the message
this.speak(message)

return true
